Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.scope
Class SeedFileIterator

    java.lang.Object
      org.archive.util.iterator.LookaheadIterator<Transformed>
          org.archive.util.iterator.TransformingIteratorWrapper<java.lang.String,UURI>
              org.archive.crawler.scope.SeedFileIterator

All Implemented Interfaces:
  java.util.Iterator<UURI>

    public class SeedFileIterator

extends TransformingIteratorWrapper<java.lang.String,UURI>

Iterator wrapper for seeds file on disk.

Author:
  gojomo

Field Summary
`(package private) java.io.Writer` | `ignored`
`(package private) java.io.BufferedReader` | `input`

Fields inherited from class org.archive.util.iterator.TransformingIteratorWrapper
`inner`

Fields inherited from class org.archive.util.iterator.LookaheadIterator
`next`

Constructor Summary
`SeedFileIterator(java.io.BufferedReader br)` Construct a SeedFileIterator over the input available from the supplied BufferedReader.
`SeedFileIterator(java.io.BufferedReader inputReader, java.io.Writer ignoredWriter)` Construct a SeedFileIterator over the input available from the supplied BufferedReader, reporting any nonblank noncomment entries which don't generate a valid seed to the supplied BufferedWriter.

Method Summary
`void` | `close()`
`protected void` | `noteExhausted()` Clean-up when hasNext() has returned null: close open files.
`protected UURI` | `transform(java.lang.String uri)`

Methods inherited from class org.archive.util.iterator.TransformingIteratorWrapper
`lookahead`

Methods inherited from class org.archive.util.iterator.LookaheadIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    java.io.BufferedReader input

### ignored

    java.io.Writer ignored

Constructor Detail

### SeedFileIterator

    public SeedFileIterator(java.io.BufferedReader br)

  Construct a SeedFileIterator over the input available from the supplied BufferedReader.

  Parameters:
    `br` - BufferedReader from which to get seeds

### SeedFileIterator

    public SeedFileIterator(java.io.BufferedReader inputReader,
                            java.io.Writer ignoredWriter)

  Construct a SeedFileIterator over the input available from the supplied BufferedReader, reporting any nonblank noncomment entries which don't generate a valid seed to the supplied BufferedWriter.

  Parameters:
    `inputReader` - BufferedReader from which to get seeds
    `ignoredWriter` - BufferedWriter to report any ignored input

Method Detail

### transform

    protected UURI transform(java.lang.String uri)

  Specified by:
    `transform` in class `TransformingIteratorWrapper<java.lang.String,UURI>`
  Parameters:
    `uri` - Object to transform.
  Returns:
    Transfomed object.

### noteExhausted

    protected void noteExhausted()

  Clean-up when hasNext() has returned null: close open files.

  Overrides:
    `noteExhausted` in class `TransformingIteratorWrapper<java.lang.String,UURI>`
  See Also:
    `TransformingIteratorWrapper.noteExhausted()`

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.